import { ModelConditionUtil, ModelConditionUtilImpl, FieldUtil, TableUtilImpl, IdType } from 'model-util';
/**
 * @author Keytop midend auto generate
 * @version 1.0
 * @date 2020-06-02 13:51
 */
interface BMSServiceReleaseTag {
    /**
    * 应用ID
    * @type { string }
    */
    appId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 环境ID
    * @type { string }
    */
    envId?: string;
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 项目PID
    * @type { string }
    */
    pid?: string;
    /**
    * 项目ID
    * @type { string }
    */
    projectId?: string;
    /**
    * 发布人
    * @type { string }
    */
    releaseUserId?: string;
    /**
    * 服务中心ID
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 版本ID
    * @type { string }
    */
    versionId?: string;
    /**
    * 版本号
    * @type { string }
    */
    versionNo?: string;
}
interface BMSServiceReleaseTagMCU extends ModelConditionUtil<BMSServiceReleaseTagMCU> {
    APP_ID: FieldUtil<BMSServiceReleaseTagMCU>;
    CREATE_TIME: FieldUtil<BMSServiceReleaseTagMCU>;
    ENV_ID: FieldUtil<BMSServiceReleaseTagMCU>;
    ID: FieldUtil<BMSServiceReleaseTagMCU>;
    PID: FieldUtil<BMSServiceReleaseTagMCU>;
    PROJECT_ID: FieldUtil<BMSServiceReleaseTagMCU>;
    RELEASE_USER_ID: FieldUtil<BMSServiceReleaseTagMCU>;
    SERVICE_CENTER_ID: FieldUtil<BMSServiceReleaseTagMCU>;
    UPDATE_TIME: FieldUtil<BMSServiceReleaseTagMCU>;
    VERSION_ID: FieldUtil<BMSServiceReleaseTagMCU>;
    VERSION_NO: FieldUtil<BMSServiceReleaseTagMCU>;
}
declare class BMSServiceReleaseTagMCUImpl extends ModelConditionUtilImpl<BMSServiceReleaseTagMCUImpl> implements BMSServiceReleaseTagMCU {
    newInstance(): BMSServiceReleaseTagMCUImpl;
    get APP_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    get CREATE_TIME(): FieldUtil<BMSServiceReleaseTagMCU>;
    get ENV_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    get ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    get PID(): FieldUtil<BMSServiceReleaseTagMCU>;
    get PROJECT_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    get RELEASE_USER_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    get SERVICE_CENTER_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    get UPDATE_TIME(): FieldUtil<BMSServiceReleaseTagMCU>;
    get VERSION_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    get VERSION_NO(): FieldUtil<BMSServiceReleaseTagMCU>;
}
declare class BMSServiceReleaseTagMU extends TableUtilImpl<BMSServiceReleaseTagMCU, BMSServiceReleaseTag> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    constructor();
    createModelConditionUtil(): BMSServiceReleaseTagMCU;
    static get APP_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    static get CREATE_TIME(): FieldUtil<BMSServiceReleaseTagMCU>;
    static get ENV_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    static get ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    static get PID(): FieldUtil<BMSServiceReleaseTagMCU>;
    static get PROJECT_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    static get RELEASE_USER_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    static get SERVICE_CENTER_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    static get UPDATE_TIME(): FieldUtil<BMSServiceReleaseTagMCU>;
    static get VERSION_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    static get VERSION_NO(): FieldUtil<BMSServiceReleaseTagMCU>;
    get APP_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    get CREATE_TIME(): FieldUtil<BMSServiceReleaseTagMCU>;
    get ENV_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    get ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    get PID(): FieldUtil<BMSServiceReleaseTagMCU>;
    get PROJECT_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    get RELEASE_USER_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    get SERVICE_CENTER_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    get UPDATE_TIME(): FieldUtil<BMSServiceReleaseTagMCU>;
    get VERSION_ID(): FieldUtil<BMSServiceReleaseTagMCU>;
    get VERSION_NO(): FieldUtil<BMSServiceReleaseTagMCU>;
}
export { BMSServiceReleaseTagMCU, BMSServiceReleaseTagMCUImpl, BMSServiceReleaseTag, BMSServiceReleaseTagMU };
